App\Library\Amazon\Classes\Tools:
    xml_root_name: Tools
    properties:
        gritRating:
            expose: true
            access_type: public_method
            serialized_name: GritRating
            accessor:
                getter: getGritRating
                setter: setGritRating
            type: integer
        horsepower:
            expose: true
            access_type: public_method
            serialized_name: Horsepower
            accessor:
                getter: getHorsepower
                setter: setHorsepower
            type: float
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        finishTypes:
            expose: true
            access_type: public_method
            serialized_name: FinishTypes
            accessor:
                getter: getFinishTypes
                setter: setFinishTypes
            type: string
        diameter:
            expose: true
            access_type: public_method
            serialized_name: Diameter
            accessor:
                getter: getDiameter
                setter: setDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        length:
            expose: true
            access_type: public_method
            serialized_name: Length
            accessor:
                getter: getLength
                setter: setLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        width:
            expose: true
            access_type: public_method
            serialized_name: Width
            accessor:
                getter: getWidth
                setter: setWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        height:
            expose: true
            access_type: public_method
            serialized_name: Height
            accessor:
                getter: getHeight
                setter: setHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        weight:
            expose: true
            access_type: public_method
            serialized_name: Weight
            accessor:
                getter: getWeight
                setter: setWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            xml_list:
                inline: true
                entry_name: PowerSource
            type: array<string>
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        numberOfItemsInPackage:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItemsInPackage
            accessor:
                getter: getNumberOfItemsInPackage
                setter: setNumberOfItemsInPackage
            type: integer
        batteryTypeLithiumIon:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumIon
            accessor:
                getter: getBatteryTypeLithiumIon
                setter: setBatteryTypeLithiumIon
            type: integer
        batteryTypeLithiumMetal:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumMetal
            accessor:
                getter: getBatteryTypeLithiumMetal
                setter: setBatteryTypeLithiumMetal
            type: integer
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
